--- title: "Get version" slug: "analytics-clouddatastreamingservice-cluster-getkafkaversionlist" updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/analytics-clouddatastreamingservice-cluster-getkafkaversionlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get version Available in VPC Get available Cloud Data Streaming Service versions. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/cluster/getCDSSVersionList (Korea Region) | | GET | /api/sgn-v1/cluster/getCDSSVersionList (Singapore Region) | | GET | /api/jpn-v1/cluster/getCDSSVersionList (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/getCDSSVersionList' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.kafkaVersionList` | Array | - | Kafka version list: [kafkaVersionList](/docs/en/analytics-clouddatastreamingservice-cluster-getkafkaversionlist#kafkaVersionList) | | `requestId` | String | - | ID for the request - UUID format | #### `kafkaVersionList` The following describes `kafkaVersionList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `kafkaVersionCode` | String | - | Kafka version code | | `applicationVersionName` | String | - | Cloud Data Streaming Service version | | `kafkaVersionName` | String | - | Kafka version | | `cmakVersionName` | String | Deprecated | CMAK version | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "kafkaVersionList": [ { "kafkaVersionCode": "3903006", "applicationVersionName": "Kafka 3.9.0, CMAK 3.0.0.6", "kafkaVersionName": "Kafka 3.9.0", "cmakVersionName": "CMAK 3.0.0.6" }, { "kafkaVersionCode": "3713006", "applicationVersionName": "Kafka 3.7.1, CMAK 3.0.0.6", "kafkaVersionName": "Kafka 3.7.1", "cmakVersionName": "CMAK 3.0.0.6" }, { "kafkaVersionCode": "3623006", "applicationVersionName": "Kafka 3.6.2, CMAK 3.0.0.6", "kafkaVersionName": "Kafka 3.6.2", "cmakVersionName": "CMAK 3.0.0.6" }, { "kafkaVersionCode": "3523006", "applicationVersionName": "Kafka 3.5.2, CMAK 3.0.0.6", "kafkaVersionName": "Kafka 3.5.2", "cmakVersionName": "CMAK 3.0.0.6" }, { "kafkaVersionCode": "3323006", "applicationVersionName": "Kafka 3.3.2, CMAK 3.0.0.6", "kafkaVersionName": "Kafka 3.3.2", "cmakVersionName": "CMAK 3.0.0.6" }, { "kafkaVersionCode": "2823006", "applicationVersionName": "Kafka 2.8.2, CMAK 3.0.0.6", "kafkaVersionName": "Kafka 2.8.2", "cmakVersionName": "CMAK 3.0.0.6" }, { "kafkaVersionCode": "2403005", "applicationVersionName": "Kafka 2.4.0, CMAK 3.0.0.5", "kafkaVersionName": "Kafka 2.4.0", "cmakVersionName": "CMAK 3.0.0.5" } ] }, "requestId": "3bae7e92-****-****-****-0cb1b84510be" } ```